Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UserTypeBot

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.UserType
it.tdlight.jni.TdApi.UserTypeBot

Enclosing class:
  TdApi

public static final class TdApi.UserTypeBot extends TdApi.UserType
A bot (see https://core.telegram.org/bots).

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`canBeAddedToAttachmentMenu`
True, if the bot can be added to attachment or side menu.
`boolean`
`canBeEdited`
True, if the bot is owned by the current user and can be edited using the methods toggleBotUsernameIsActive, reorderBotActiveUsernames, setBotProfilePhoto, setBotName, setBotInfoDescription, and setBotInfoShortDescription.
`boolean`
`canJoinGroups`
True, if the bot can be invited to basic group and supergroup chats.
`boolean`
`canReadAllGroupMessages`
True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`inlineQueryPlaceholder`
Placeholder for inline queries (displayed on the application input field).
`boolean`
`isInline`
True, if the bot supports inline queries.
`boolean`
`needLocation`
True, if the location of the user is expected to be sent with every inline query to this bot.

## Constructor Summary

Constructors
Constructor
Description
`UserTypeBot()`
A bot (see https://core.telegram.org/bots).
`UserTypeBot(boolean canBeEdited, boolean canJoinGroups, boolean canReadAllGroupMessages, boolean isInline, String inlineQueryPlaceholder, boolean needLocation, boolean canBeAddedToAttachmentMenu)`
A bot (see https://core.telegram.org/bots).
`UserTypeBot(DataInput input)`
A bot (see https://core.telegram.org/bots).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### canBeEdited

public boolean canBeEdited
True, if the bot is owned by the current user and can be edited using the methods toggleBotUsernameIsActive, reorderBotActiveUsernames, setBotProfilePhoto, setBotName, setBotInfoDescription, and setBotInfoShortDescription.

### canJoinGroups

public boolean canJoinGroups
True, if the bot can be invited to basic group and supergroup chats.

### canReadAllGroupMessages

public boolean canReadAllGroupMessages
True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.

### isInline

public boolean isInline
True, if the bot supports inline queries.

### inlineQueryPlaceholder

public String inlineQueryPlaceholder
Placeholder for inline queries (displayed on the application input field).

### needLocation

public boolean needLocation
True, if the location of the user is expected to be sent with every inline query to this bot.

### canBeAddedToAttachmentMenu

public boolean canBeAddedToAttachmentMenu
True, if the bot can be added to attachment or side menu.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UserTypeBot

public UserTypeBot()
A bot (see https://core.telegram.org/bots).

### UserTypeBot

public UserTypeBot(boolean canBeEdited, boolean canJoinGroups, boolean canReadAllGroupMessages, boolean isInline, String inlineQueryPlaceholder, boolean needLocation, boolean canBeAddedToAttachmentMenu)
A bot (see https://core.telegram.org/bots).

Parameters:
  `canBeEdited` - True, if the bot is owned by the current user and can be edited using the methods toggleBotUsernameIsActive, reorderBotActiveUsernames, setBotProfilePhoto, setBotName, setBotInfoDescription, and setBotInfoShortDescription.
  `canJoinGroups` - True, if the bot can be invited to basic group and supergroup chats.
  `canReadAllGroupMessages` - True, if the bot can read all messages in basic group or supergroup chats and not just those addressed to the bot. In private and channel chats a bot can always read all messages.
  `isInline` - True, if the bot supports inline queries.
  `inlineQueryPlaceholder` - Placeholder for inline queries (displayed on the application input field).
  `needLocation` - True, if the location of the user is expected to be sent with every inline query to this bot.
  `canBeAddedToAttachmentMenu` - True, if the bot can be added to attachment or side menu.

### UserTypeBot

public UserTypeBot(DataInput input) throws IOException
A bot (see https://core.telegram.org/bots).

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`